Subject: PRERELEASE: package-0.1.tgz - package manager
From: Mike Jagdis <[email-masked]>
Date: 2 Apr 1993 03:02:41 GMT
Newsgroups: comp.os.linux.announce

package-0.1.tgz uploaded to nic.funet.fi, sunsite.unc.edu, tsx-11.mit.edu

This is a pre-release of a pre-alpha package manager. Please do not complain
about the lack of documentation, lack of facilities or excess of bugs :-).
I am uploading this now largely because the xdmt and icons packages I've
uploaded are configure for installation with it. Perhaps some of you may
have useful input to give too...

The Package Manager (for want of a better name) is intended to manage
a system by treating it as a collection of packages which are merged,
via a number of links and/or copies, into the main system directories.
Each package remains distinct in it's own directory tree however. The
intention is to simplify the management, configuration, upgrade etc. of
complex systems which are built out of many packages which are frequently
updated by a large and diverse group of people.

The Package Manager is the basis for the "Purple Distribution" (check
my hostname and BBS name for why) which is already available as an alpha
kit from my BBS.

The main intended benefit is the ease of dropping in new packages, merging
in upgrades etc. It is also convenient for giving copies to friends since
you need only tar off the package's directory tree. There would also
appear to be potential benefits to making packages available from NFS
servers or CDROMs but I don't have the resources to pursue that myself.

Yeah, one day I may change the command line interface to a full screen
menu interface. At the moment it's an alpha of a prototype though. I guess
the engineers out there know what *that* means!

If there's sufficient interest in a seriously modular approach to systems
I'll upload the boot disk, base kit, TCP/IP kit and (draft) install
documents for people to play with.

                             Mike

-- 
Send submissions for comp.os.linux.announce to: [email-masked]